## Modulemd.DefaultsV1 (Private) Modulemd.DefaultsV1 (Private) — ModulemdDefaults methods that should only be used by internal consumers. |

## Stability Level

Private, unless otherwise indicated

## Functions

ModulemdDefaultsV1 * | modulemd_defaults_v1_parse_yaml ()
gboolean | modulemd_defaults_v1_emit_yaml ()
ModulemdDefaults * | modulemd_defaults_v1_merge ()

## Types and Values

#define | DEFAULT_MERGE_CONFLICT

## Description

## Functions

### modulemd_defaults_v1_parse_yaml ()

    ModulemdDefaultsV1 *
    modulemd_defaults_v1_parse_yaml (ModulemdSubdocumentInfo *subdoc,
                                     gboolean strict,
                                     GError **error);

#### Parameters

subdoc | A ModulemdSubdocumentInfo representing a defaults document of metadata version 1. | [in]
strict | Whether the parser should return failure if it encounters an unknown mapping key or if it should ignore it. | [in]
error | A GError that will return the reason for a parsing or validation error. | [out]

#### Returns

A newly-allocated ModulemdDefaultsV1 object read from the YAML. NULL if a parse or validation error occurred and sets `error` appropriately.

[transfer full]

Since: 2.0

### modulemd_defaults_v1_emit_yaml ()

    gboolean
    modulemd_defaults_v1_emit_yaml (ModulemdDefaultsV1 *self,
                                    yaml_emitter_t *emitter,
                                    GError **error);

#### Parameters

self | This ModulemdDefaultsV1 object. |
emitter | A libyaml emitter object positioned where a Defaults (v1) data section belongs in the YAML document. | [inout]
error | A GError that will return the reason for an emission or validation error. | [out]

#### Returns

TRUE if the ModulemdDefaults was emitted successfully. FALSE and sets `error` appropriately if the YAML could not be emitted.

Since: 2.0

### modulemd_defaults_v1_merge ()

    ModulemdDefaults *
    modulemd_defaults_v1_merge (ModulemdDefaultsV1 *from,
                                ModulemdDefaultsV1 *into,
                                gboolean strict_default_streams,
                                GError **error);

Performs a merge of two ModulemdDefaultsV1 objects representing the defaults for a single module name. See the documentation for ModulemdModuleIndexMerger for details on the merge algorithm used.

#### Parameters

from | A ModulemdDefaultsV1 object to merge from. | [in]
into | A ModulemdDefaultsV1 object being merged into. | [in]
strict_default_streams | Whether a stream conflict should throw an error or just unset the default stream. | [in]
error | A GError containing the reason for an unresolvable merge conflict. | [out]

#### Returns

A newly-allocated ModulemdDefaultsV1 object containing the merged values of `from` and `into` . If this function encounters an unresolvable merge conflict, it will return NULL and set `error` appropriately.

[transfer full]

Since: 2.0

## Types and Values

### DEFAULT_MERGE_CONFLICT

    #define DEFAULT_MERGE_CONFLICT "__merge_conflict__"